commit 11581a272eb9be86e6f47c09cbe9a8f1a211864a
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Jan 24 01:18:05 2022

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 1c9ace69750..da164bfdd32 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220123
+20220124
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 21a5bf22655..9ab4b3e44b7 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,15 @@
+2022-01-23  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2022-01-15  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/83079
+	* target-memory.c (gfc_interpret_character): Result length is
+	in bytes and thus depends on the character kind.
+	* trans-intrinsic.c (gfc_conv_intrinsic_transfer): Compute correct
+	string length for the result of the TRANSFER intrinsic and for
+	temporaries for the different character kinds.
+
 2022-01-20  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index f06e6a14044..a0dc0222ce3 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2022-01-23  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2022-01-15  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/83079
+	* gfortran.dg/transfer_char_kind4.f90: New test.
+
 2022-01-20  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:

